Skip to main content

September 21, 2026

· 4 min read

This release adds spam detection capabilities to broadcast messages and streamlines the send endpoint. All broadcast message responses now include a spam score to help you assess message quality before sending. The send endpoint has been simplified by removing unnecessary query parameters and request body requirements.

PUT /communication/broadcast_messages/{id}

  • added the new required request property content_check/spam_score (media type: application/json)
  • added the required property content_check/spam_score to the response with the 200 status (media type: application/json)
View updated docs

POST /communication/broadcast_messages/{id}/send

  • removed the request body
  • deleted the query request parameter expand
  • deleted the query request parameter fields
  • added the non-success response with the status 400
  • added the required property content_check/spam_score to the response with the 200 status (media type: application/json)
View updated docs

GET /reports/discount_code_uses/data

  • response property rows/items/used_for/id list-of-types was widened by adding types string to media type application/json of response 200
View updated docs

POST /communication/broadcast_messages

  • deleted the query request parameter expand
  • deleted the query request parameter fields
  • added the non-success response with the status 400
  • added the required property content_check/spam_score to the response with the 201 status (media type: application/json)
View updated docs

GET /communication/broadcast_messages/{id}

  • added the required property content_check/spam_score to the response with the 200 status (media type: application/json)
View updated docs

PATCH /communication/broadcast_messages/{id}

  • added the required property content_check/spam_score to the response with the 200 status (media type: application/json)
View updated docs